---
deprecated: true
search:
  tags:
    - Images
    - DELETE
seo:
  description: >-
    Permanently deletes up to 100 images by their IDs.… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/images/bulk endpoint in the Management API.
sidebar:
  label: Bulk Delete Images
  badge: DELETE
title: Bulk Delete Images
type: openapi-operation
---
Permanently deletes up to 100 images by their IDs. Removes images from Cloudflare CDN, purges cache, and deletes all associated translations and relationships. Returns lists of successfully deleted and failed deletion attempts with error details.
Deprecated: use DELETE /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/images instead.

`DELETE /api/v1/{team_slug}/{app_slug}/images/bulk`

**Deprecated.**

**Request body** (`application/json`, required)

Image IDs to delete

- `image_ids` (string[], required)

Request body example:

```json
{
  "image_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — Images deleted successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      "string"
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
